/* gug_button.pike
 *
 */

import ".";

int main(int argc, array(string) argv)
{
  object window = Widgets.Window();
  object align = Widgets.Alignment();
  align->xalign = 0.5;
  align->xscale = 0.2;
  align->yalign = 0.3;
  align->yscale = 0.7;
  object button = Widgets.Button();
  button->set_clicked_callback(lambda() { write("Click!\n"); });
  object solid = Widgets.Solid();
  solid->preferred_width = solid->preferred_height = 70;

  button->add(solid);
  align->add(button);
  window->add(align);

  object device = GUG.open_default_device();
  window->use_device(device);
  // trace(1);
  window->signal_recurse("show");
  // window->draw();

  return -17;
}

  
