/* gug_hbox.pike
 *
 */

int main(int argc, array(string) argv)
{
  int mode = 0;
  if ( (argc == 2) && (lower_case(argv[1])[0] == 'v'))
    mode = 1;
  object window = Widgets.Window();
  
  object align = Widgets.Alignment();
  align->xalign = 0.5;
  align->xscale = 0.8;
  align->yalign = 0.3;
  align->yscale = 0.8;
  
  object box = (mode ? Widgets.VBox : Widgets.HBox)();
  box->spacing = 3;
  
  object button1 = Widgets.Button();
  button1->set_clicked_callback(lambda() { write("Click!\n"); });
  object solid1 = Widgets.Solid();
  solid1->preferred_width = solid1->preferred_height = 70;

  button1->add(solid1);
  box->add(button1);

  object button2 = Widgets.Button();
  button2->set_clicked_callback(lambda() { write("Foo\n"); });
  object solid2 = Widgets.Solid();
  solid2->preferred_width = solid2->preferred_height = 70;

  button2->add(solid2);
  box->add(button2);

  object button3 = Widgets.Button();
  button3->set_clicked_callback(lambda() { exit(0); });
  object solid3 = Widgets.Solid();
  solid3->preferred_width = solid3->preferred_height = 70;

  button3->add(solid3);
  box->add(button3);
  
  align->add(box);
  window->add(align);

  object device = GUG.open_default_device();
  window->use_device(device);
  window->show();
  // window->draw();

  return -17;
}
